JacksonSupport.IdentityObjectMapper
Keywords: net.corda.client.jackson.JacksonSupport.IdentityObjectMapper class
Date: 2023-09-18

net.corda.client.jackson

## Class JacksonSupport.IdentityObjectMapper

- net.corda.client.jackson.JacksonSupport.IdentityObjectMapper

- Enclosing class:
    JacksonSupport

  Deprecated.

      @Deprecated
      public static class JacksonSupport.IdentityObjectMapper

- - ### Constructor Detail

    - #### IdentityObjectMapper

          @JvmOverloads
          public IdentityObjectMapper(@NotNull
                                                    IdentityService identityService,
                                                    @NotNull
                                                    com.fasterxml.jackson.core.JsonFactory factory,
                                                    boolean fuzzyIdentityMatch,
                                                    boolean isFullParties)

      Deprecated.

    - #### IdentityObjectMapper

          @JvmOverloads
          public IdentityObjectMapper(@NotNull
                                                    IdentityService identityService,
                                                    @NotNull
                                                    com.fasterxml.jackson.core.JsonFactory factory,
                                                    boolean fuzzyIdentityMatch)

      Deprecated.

  - ### Method Detail

    - #### wellKnownPartyFromX500Name

          @Nullable
          public Party wellKnownPartyFromX500Name(@NotNull
                                                            CordaX500Name name)

      Deprecated.

    - #### partyFromKey

          @Nullable
          public Party partyFromKey(@NotNull
                                              java.security.PublicKey owningKey)

      Deprecated.

    - #### partiesFromName

          @NotNull
          public java.util.Set<net.corda.core.identity.Party> partiesFromName(@NotNull
                                                                                       java.lang.String query)

      Deprecated.

    - #### nodeInfoFromParty

          @Nullable
          public NodeInfo nodeInfoFromParty(@NotNull
                                                      AbstractParty party)

      Deprecated.

    - #### getIdentityService

          @NotNull
          public IdentityService getIdentityService()

      Deprecated.

    - #### getFuzzyIdentityMatch

          public boolean getFuzzyIdentityMatch()

      Deprecated.

    - #### isFullParties

          public boolean isFullParties()

      Deprecated.